---
daq_options:
 compressRawData: yes # lossless compression of data (two nibbles of data per byte)
 nEvent: 100 # number of events
 externalChargeInjection: no # whether to inject charge from the test stand
 
 acquisitionType: standard 
 # standard
 #      Random trigger (pedestal data)
 # sweep
 #      Scan injection DAC value for different events
 # fixed
 #      Not used
 # const_inj
 #      Inject the same value DAC value in every event
 # instrumental_trigger
 #      Sends out TTL signal on two last pins of J4 and wait for signal on LEMO (LM1) connector.
 # external_trigger
 #      Wait for TTL signal on the LEMO connector before sending stop acquisition to ROCs
 
 channelIds: [] # list of channels to enable the injection on (a value here enables that channel on all chips)
 channelIdsToMask: [[],[],[],[]] # list of masked channels per chip (one list per chip, chip order = 3 2 1 0)
 headerSize: 192 # Not used
 injectionDAC: 1000 # test stand injection DAC value for fixed injection (12-bit range)
 pulseDelay: 50 # When using the charge injection DAC, this sets the delay between the injection and the stop acquisition signal (in steps of 3.125 ns = 1/320 MHz)
 maxDelay: 25 # Not used
 preampFeedbackCapacitance: 8 # Change the gain of the preamp: range is 0--63 with 63 is the minimum gain.
 preampPolarity: 0 # 1: positive, 0: negative
 leakageCurrentCompPolarity: 0  # 1: positive, 0: negative
 leakageCurrentComp: 0 # leakage current compensation, 5 bits i.e. 0-31
 totDACThreshold: 200 # one value per chip used in all chips
 toaDACThreshold: 230 # one value per chip used in all chips
 shapingTime: 35 # one value per chip used in all chips

# Global options
glb_options:
 outputRawDataPath: NONE
 outputYamlPath: NONE
 storeYamlFile: yes

 # The following options are used when running outside the Raspberry pi (like a PC)
 startServerManually: yes # in this case daq_server.py is started automatically via ssh
 serverIpAdress: 128.141.49.110 # address of the RPi
 serverCodePath: /home/pi/rpi-daq # where to find the code in the RPi
